Bug 195942 - Review Request: Veusz - a scientific plotting package
Review Request: Veusz - a scientific plotting package
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-06-19 16:06 EDT by Jeremy Sanders
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-17 15:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2006-06-19 16:06:49 EDT
Spec URL: http://download.gna.org/veusz/rpms/review/veusz.spec
SRPM URL: http://download.gna.org/veusz/rpms/review/veusz-0.10-3.src.rpm

This is my first Fedora package and I'm seeking a sponser. Thanks!

Veusz is a scientific plotting package, designed to create
publication-ready Postscript output. It features GUI, command-line,
and scripting interfaces. Graphs are constructed from "widgets",
allowing complex layouts to be designed. Veusz supports plotting
functions, data with errors, keys, labels, stacked plots,
multiple plots, contours, and fitting data.
Comment 1 Gérard Milmeister 2006-06-19 16:35:44 EDT
I am not a sponsor, just a few comments:
* the following directories must be owned:
  - /usr/lib/python2.4/site-packages/veusz
  - /usr/share/pixmaps/veusz
* the icon is not displayed in the gnome main menu, using absolute
  path /usr/share/pixmaps/veusz/veusz.png works
* to recognize .vsz files you must add a file to /usr/share/mime/packages
  that describes the mime type (look at the examples), then in %post
  and %postun you run
    /usr/bin/update-mime-database /usr/share/mime
Comment 2 Parag AN(पराग) 2006-06-20 00:34:05 EDT
Not an official review as I'm not yet sponsored
      To add above review i suggest you to go thru
for python packaging. This is because you have not added to SPEC file under %files
%dir %{python_sitelib}/veusz

      Also i did mock build for your package for i386 and found 
warning: file contains key "Patterns", usage of this key is not recommended,
since it has been deprecated
      so you can remove Patterns line from veusz.desktop file.
Comment 3 Jeremy Sanders 2006-06-21 15:23:59 EDT
Thanks for your useful comments! I've done the following:
* Add an xml file to add application/x-veusz as a mime type
* Fix the relative icon in the desktop file by using a symlink
* Own the directories %{python_sitelib}/veusz and /usr/share/pixmaps/veusz
* Run update-mime-database and update-desktop-database on post and postun
* Removed the patterns keyword from the desktop file

The program now appears to be properly associated to .vsz in Gnome

Here are the new versions of the SRPM and spec:
SRPM URL: http://download.gna.org/veusz/rpms/review/veusz-0.10-4.src.rpm
Spec URL: http://download.gna.org/veusz/rpms/review/veusz.spec
Comment 4 Parag AN(पराग) 2006-06-22 00:12:11 EDT
rpmlint on new version shows no error
successfully built on i386 development 
SPEC file is having no problem now 
Comment 5 John Mahowald 2006-06-25 18:39:16 EDT
Commented, nice!

.pyo files should be %ghosted. http://fedoraproject.org/wiki/Packaging/Python

* Desktop file: the Categories tag should contain X-Fedora
  (wiki: Packaging/Guidelines#desktop)
* Missing dependancy on update-desktop-database for %post (package
* Missing dependancy on update-desktop-database for %postun (package

rpmlint clean as mentioned previously.

Fix these up and apply for cvsextras and I'll sponsor you and approve package.
Comment 6 Jeremy Sanders 2006-06-26 15:07:57 EDT
Here are the new versions of the SRPM and spec:
SRPM URL: http://download.gna.org/veusz/rpms/review/veusz-0.10-5.src.rpm
Spec URL: http://download.gna.org/veusz/rpms/review/veusz.spec

Thanks very much for reviewing the package and offering to sponser me. I've done
as you suggested. The %post and %postun update-desktop-database deps have been
added. X-Fedora is now added to the .desktop file. The .pyo files were ghosted
before (using an implicit veusz/*/*.pyo ghost), but now I've made them explicit.
I hope this is okay.

I've opened an account (username jsanders), signed the CLA, and requested
cvsextras membership. Thanks for your time.

Comment 7 John Mahowald 2006-06-27 22:20:35 EDT
Not building on FC5 now.

/builddir/build/SOURCES/veusz.desktop: key "Categories" string list not
semicolon-terminated, fixing

+ mv
mv: cannot stat
No such file or directory
Comment 8 Jeremy Sanders 2006-06-28 16:17:13 EDT
Thanks for the reply. I don't see why it is failing as I haven't touched
anything to do with the png files, which are those mentioned in you error
report. I think there was a semicolon missing at the end of the Categories field
in the desktop file, which I've now fixed, but I have no idea how to fix the
build failure. My Fedora Core machine running Development appears to build the
package without problems. I need to try it with mock, but I don't have the
bandwidth at the moment. Maybe there's some file corruption. Here is the latest

SRPM URL: http://download.gna.org/veusz/rpms/review/veusz-0.10-6.src.rpm
Spec URL: http://download.gna.org/veusz/rpms/review/veusz.spec
Comment 9 John Mahowald 2006-07-04 22:35:21 EDT
I'm building on x86_64. On this architecture %{python_sitelib} evaluates to
/usr/lib/python2.4/site-packages while %{python_sitearch} is
/usr/lib64/python2.4/site-packages. The build log shows the icon copy doing
things like "copying windows/icons/stock-new.png ->
And: in you mv command in the spec you use %{python_sitelib}. Change to
Comment 10 Jeremy Sanders 2006-07-07 16:30:48 EDT
SRPM URL: http://download.gna.org/veusz/rpms/review/veusz-0.10-7.src.rpm
Spec URL: http://download.gna.org/veusz/rpms/review/veusz.spec

Thanks for spotting that. I've fixed the sitearch/sitelib problem and tested the
package on an x86_64 and an i386 system.
Comment 11 John Mahowald 2006-07-08 12:16:50 EDT
The helper C module is the architcture dependent part.

W: veusz mixed-use-of-spaces-and-tabs
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file works
- mime association works (no icon, minor)
- runs

Comment 12 Jeremy Sanders 2006-07-17 15:31:42 EDT
Appears to be in extras now. Closing. Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.